/*----modal body--------------------------------------------*/
.added-item-container {
    border: 1px solid #f3f3f3;
    width: 95%;
    padding: 5% 0;
    margin-bottom: 1%;
}


.cart-item-image {
    width: 100%;
    object-fit: contain;
}

.cart-item-image-wrapper {
    width: 60%;
    max-width: 230px;
    background-color: white;
    padding: 0 15px;

    @media (min-width: 768px) {
        height: 100%;
    }
}

.name-price-wrapper {
    width: 40%;

    .added-item-name {
        font-size: 23px;
        line-height: 32px;
    }

    .old-price {
        font-size: 20px;
        font-weight: 300;
        color: #939393;
    }

    .new-price {
        font-size: 22px;
        font-weight: 500;
        background-color: $primary-bg-color;
        color: white;
        width: 104px;
        height: 36px;
        line-height: 36px;
        text-align: center;
    }
}

.quantity-sum-wrapper {
    width: 100%;
    padding: 0 5%;
    color: $primary-bg-color;

}

.quantity-wrapper {
    font-size: 14px;

    @media (min-width: 576px) {
        width: 253px;
    }

    @media (min-width: 768px) {
        margin-right: 6%;
    }
}

.quantity-counter-wrapper {
    width: 167px;

    &>*{
        border: 1px solid $primary-bg-color;
        transition: all 0.3s ease-in;
    }
}

.quantity-counter-inner-wraper {
    width: 73px;
    height: 37px;
}

.change-quantity-btn {
    width: 40px;
    height: 37px;

    &:hover {
        border-color: $primary-color;
        color: $primary-color;
    }
}

.sum-wrapper {
    .sum-title {
        font-size: 20px;
        font-weight: 300;
        color: #939393;
    }

    .sum-ammount {
        font-size: 22px;
        font-weight: 500;
        color: $primary-bg-color;
    }
}

/*----modal footer--------------------------------------------*/

.fullCart-unset-footer-border {
    border: none !important;
    padding-right: 47px;
}

.cart__clear-btn {
    background-color: #939393;
}

.cart__buy-now-btn {
    background-color: $primary-color;
}

.total {
    font-size: 22px;
    margin-bottom: 21px;
}

.cart__btn {
    text-decoration: none;
    font-size: 13px;
    color: white;
    width: 134px;
    height: 37px;
    line-height: 37px;
    padding-left: 11px;
    cursor: pointer;
    text-transform: uppercase;

    i {
        font-size: 14px;
    }

    &:hover {
        text-decoration: none;
        color: white;
    }
}

@media (max-width: 480px){
    .sum-wrapper {
        .sum-title {
            font-size: 16px;
            font-weight: 300;
            color: #939393;
        }
    
        .sum-ammount {
            font-size: 18px;
            font-weight: 500;
            color: $primary-bg-color;
        }
    }

    .cart__clear-btn {
        max-width: 45%;
    }

    .cart__btn {
        font-size: 11px;
    }

    .buy-now-wrapper {
        max-width: 45%;
        
        .total {
            font-size: 18px;
            margin-bottom: 12px;
        }
    }
}

@media (min-width: 768px) and (max-width: 1199px){
    .modal-dialog {
        max-width: 95% !important;
        margin: 1.75rem auto;
    }
}

@media (min-width: 768px){
    .old-price {
        margin-right: 13px;
    }
}

@media (min-width: 992px){
    .added-item-container {
        position: relative;
    }

    .quantity-sum-wrapper {
        position: absolute;
        top: 30%;
    }
}